%define module  Encode-Detect
%define name    perl-%{module}
%define version 1.01
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release} 
Summary:        An Encode::Encoding subclass that detects the encoding of data
License:        GPL
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Encode/%{module}-%{version}.tar.bz2
Buildrequires:  perl-devel
Buildrequires:  perl(Module::Build)
Buildrequires:  perl(ExtUtils::CBuilder)
Buildrequires:  perl(Data::Dump)
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This Perl module is an Encode::Encoding subclass that uses
Encode::Detect::Detector to determine the charset of the input data and then
decodes it using the encoder of the detected charset.

It is similar to Encode::Guess, but does not require the configuration of a set
of expected encodings. Like Encode::Guess, it only supports decoding--it cannot
encode.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE
%{perl_vendorarch}/Encode
%{perl_vendorarch}/auto/Encode
%{_mandir}/*/*




%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-2mdv2009.0
+ Revision: 265358
- rebuild early 2009.0 package (before pixel changes)

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2009.0
+ Revision: 212212
- update to new version 1.01

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.00-3mdv2008.1
+ Revision: 152069
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.00-2mdv2008.0
+ Revision: 67820
- rebuild


* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2007.0
+ Revision: 111298
- Import perl-Encode-Detect

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2007.1
- first mdv release

